package com.bocloud.cmp.model;

import com.alibaba.fastjson.annotation.JSONField;

import java.util.List;

/**
 * powervc san 交换机
 *
 * @author lkx007
 */
public class SanFabricModel {
    /**
     * {
     * "access_ip": "192.168.0.7",
     * "user_id": "admin",
     * "password": "password",
     * "fabric_display_name": "xxxxx",
     * "fabric_type": "brocade",
     * "auto_add_host_key": false,
     * "zoning_policy": "initiator"
     * }
     */
    @JSONField(name = "access_ip")
    private String ip;
    @JSONField(name = "user_id")
    private String username;
    @JSONField(name = "password")
    private String password;
    @JSONField(name = "auto_add_host_key")
    private Boolean addKey;
    @JSONField(name = "fabric_type")
    private String type;
    @JSONField(name = "zoning_policy")
    private String policy;
    @JSONField(name = "fabric_display_name")
    private String nickName;
    @JSONField(name = "fabric_name")
    private String name;
    /**
     * ssh
     */
    @JSONField(name = "southbound_protocol")
    private String protocol;
    private String wwn;
    private List<SanFabricPortModel> ports;
    private List<SanFabricZoneModel> zones;
    private String version;
    private String manufacturer;
    private String zoneset;
    private String status;
    private String domainId;
    private String model;
    private String sn;
    private String serial;
    private Integer portNum;
    private List<SanFabricVsanModel> vsanModels;
    private List<SanFabricZoneSetModel> zoneSetModels;

    public SanFabricModel() {
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public Boolean getAddKey() {
        return addKey;
    }

    public void setAddKey(Boolean addKey) {
        this.addKey = addKey;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getPolicy() {
        return policy;
    }

    public void setPolicy(String policy) {
        this.policy = policy;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getProtocol() {
        return protocol;
    }

    public void setProtocol(String protocol) {
        this.protocol = protocol;
    }

    public String getWwn() {
        return wwn;
    }

    public void setWwn(String wwn) {
        this.wwn = wwn;
    }

    public List<SanFabricPortModel> getPorts() {
        return ports;
    }

    public void setPorts(List<SanFabricPortModel> ports) {
        this.ports = ports;
    }

    public List<SanFabricZoneModel> getZones() {
        return zones;
    }

    public void setZones(List<SanFabricZoneModel> zones) {
        this.zones = zones;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getManufacturer() {
        return manufacturer;
    }

    public void setManufacturer(String manufacturer) {
        this.manufacturer = manufacturer;
    }

    public String getZoneset() {
        return zoneset;
    }

    public void setZoneset(String zoneset) {
        this.zoneset = zoneset;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getDomainId() {
        return domainId;
    }

    public void setDomainId(String domainId) {
        this.domainId = domainId;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getSn() {
        return sn;
    }

    public void setSn(String sn) {
        this.sn = sn;
    }

    public String getSerial() {
        return serial;
    }

    public void setSerial(String serial) {
        this.serial = serial;
    }

    public Integer getPortNum() {
        return portNum;
    }

    public void setPortNum(Integer portNum) {
        this.portNum = portNum;
    }

    public List<SanFabricVsanModel> getVsanModels() {
        return vsanModels;
    }

    public void setVsanModels(List<SanFabricVsanModel> vsanModels) {
        this.vsanModels = vsanModels;
    }

    public List<SanFabricZoneSetModel> getZoneSetModels() {
        return zoneSetModels;
    }

    public void setZoneSetModels(List<SanFabricZoneSetModel> zoneSetModels) {
        this.zoneSetModels = zoneSetModels;
    }
}
